### Constructor

# FwupdPlugin Volume new_by_devnum

since: 1.8.2

#### Declaration [src]

    FuVolume*
    fu_volume_new_by_devnum (
      guint32 devnum,
      GError** error
    )

#### Description [src]

Finds the first volume from the specified device.

Available since: 1.8.2

#### Parameters

`devnum`

  Type: `guint32`

  A device number.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuVolume`

A volume, or `NULL` if the device was not found.

The caller of the function takes ownership of the data, and is responsible for freeing it.